Name:           python-spec
Version:        1.4.1
Release:    2%{?dist}
Summary:        Specification-style output for python-nose
License:        MIT
URL:            https://github.com/bitprophet/spec
Source0:        %{pypi_source spec}
Source1:        %{pypi_source spec}.asc
Source2:        gpgkey-0C8AFED2B8FDD7AF40F809BA9C29BC560041E930.gpg
Source3:        https://raw.githubusercontent.com/bitprophet/spec/master/LICENSE
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  gnupg2
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
A Python testing tool that provides:

* Colorized, specification style output
* Colorized tracebacks and summary
* Test-running CLI tool that enables useful non-default options and implements
  relaxed test discovery for less test_annoying.py:TestBoilerplate.test_code
  and more readable.py:Classes.and_methods.

%package -n python3-spec
Summary:        Specification-style output for python3-nose
BuildRequires:  python3-nose >= 1.3
BuildRequires:  python3-six

%description -n python3-spec
A Python testing tool that provides:

* Colorized, specification style output
* Colorized tracebacks and summary
* Test-running CLI tool that enables useful non-default options and implements
  relaxed test discovery for less test_annoying.py:TestBoilerplate.test_code
  and more readable.py:Classes.and_methods.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'

%setup -q -n spec-%{version}

cp -p %{SOURCE3} .

rm -rf spec.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-spec
%license LICENSE
%{_bindir}/spec
%{python3_sitelib}/spec/
%{python3_sitelib}/spec-*.egg-info/

%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.4.1-2
- Rebuilt for loongarch64

* Mon Jul 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.1-1
- initial build
